<html>
<head>
<title>Help with phpWSAdmin</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<link rel="stylesheet" href="basestyle.css">
</head>

<body bgcolor="#FFFFFF" background="images/bgimg.jpg">
<table width="90%" border="0" align="center" bgcolor="#FFFFFF">
  <tr>
    <td bgcolor="#FFFFFF"><?php include_once("menu.php") ?></td>
  </tr>
  <tr>
    <td>
      <p align="center" class="NormalText"><strong>Help with phpWSAdmin</strong></p>
      <p class="NormalText">You can find additional information in the User Guide for this application: <a href="UserManual.pdf">PDF</a> <a href="UserManual.sxw">OpenOffice</a></p>
      <p><span class="NormalText"><b>Setting Up: </b></span></p>
      <p><span class="NormalText">This software should run under a web server 
        on the machine with the brokers and Webspeed/Progress installation. In 
        the future, via the use of rsh, it will be able to manage brokers on different 
        machines.</span></p>
      <p class="NormalText">The web server should be set up to run under  user that:</p>
      <ol>
        <li class="NormalText"> Has permission to run the webspeed command 
            line tools.</li>
        <li class="NormalText">The ability to overwrite $DLC/properties/ubroker.properties.</li>
        <li class="NormalText">The ability to  write to the directory the log files and configuration files are created in. </li>
        <li class="NormalText">You need to have register_globals=on in your php.ini file. </li>
      </ol>      
      <p><span class="NormalText">Since we do not have access to the Progress 
        protocol for interaction, this tool basically calls out to the command 
        line tools in the operating system to perform it's operations. Often &quot;nobody&quot; does not work. I recommend creating a server on a different port than 80 and running it as a user.</span></p>
      <p class="NormalText">Of course, you may want to add some web server level access control to the directory this tool is in. </p>
      <p class="NormalText"><span class="NormalText"><b>Configuring:</b></span></p>
      <p><span class="NormalText">Configure the phpWSAdmin tool by editing config.php<span class="NormalText">.</span> It is commented with the values you need to set. Many of them will do just fine left alone. </span></p>
      <p><span class="NormalText">When updating the ubroker.properties file, this tool:</span></p>
      <ol>
        <li class="NormalText">Parses the ubroker.properties file</li>
        <li class="NormalText">Makes changes to the version in memory</li>
        <li class="NormalText">Copies the $DLC/properties/ubroker.properties to the next version name in  $BaseDir</li>
        <li class="NormalText">Shuts down the admin server (this will shut down ALL brokers!) </li>
        <li class="NormalText">Overwrites $DLC/properties/ubroker.properties with the new version.</li>
        <li class="NormalText">Restarts the admin server </li>
        <li class="NormalText"><font color="#FF0000">REALIZE THIS STOPS ALL BROKERS!!!</font></li>
      </ol>      
      <p class="NormalText"><b>Using the tool:</b></p>
      <p class="NormalText">The tool is mainly oriented to running webspeed, but 
        one can also manage database servers with it.</p>
      <p class="NormalText">Access the index.php URL on the web server. From there 
        you can reach a menu of pages that will allow you to navigate around in 
        the tool.</p>
      <ul class="NormalText">
        <li><span class="NormalText"><i>Home</i> - brings you to the index.php 
          page.</span></li>
        <li><i>WS Brokers</i> - allows you to define 
          and administrat the webspeed brokers.</li>
        <li><i>Name Servers</i> - allows you to start, 
          stop, and query the name servers.</li>
        <li class="NormalText"><i>Admin Server</i> - allows you to start, 
          stop, and query the admin server.</li>
        <li class="NormalText"><em>Database Definition</em> - allows you to define, start, stop, and query a database (via your scripts)</li>
        <li class="NormalText"><em>Process Definition</em> - allows you to define, start, stop, and query a process (via your scripts) </li>
        <li class="NormalText"><i>About</i> - gives the version information, as well contributor information.</li>
        <li><i>Help</i> - gives some hints on how to 
          use the tool.</li>
      </ul>
      <p>&nbsp;</p>
</td>
  </tr>
</table>
</body>
</html>
