<?php

// Test MngDBDefs.php

include_once("mngdefs.php");

$DBMGR = new MngDefs;

// Test 1 - Load and save makes a backup

$DBMGR->Load("1.conf");
$DBMGR->Save("1.conf");

// Test 2 - Add a definition
// Be sure to prepare the file before running this test

$Def["StartScript"] = "/startscript";
$Def["StopScript"] = "/tmp/stopscript";
$Def["Notes"] = "Default notes";

$DBMGR->ModDefinition("Test2", $Def);

$DBMGR->Save("1.conf");

// Test 3 - List definitions

$List = $DBMGR->ListDefinitions();
foreach ($List as $k => $v)
echo $v . "\n";

// Test 4 - Get Definition

echo "\n";
$List = $DBMGR->GetDefinition("Test2");
foreach ($List as $k => $v)
echo $k . " = " . $v . "\n";

// Test 4 - Delete Definition

$DBMGR->DelDefinition("Test2");
echo "\n";
$List = $DBMGR->ListDefinitions("Test2");
foreach ($List as $k => $v)
echo $k . " = " . $v . "\n";

$DBMGR->Save("2.conf");
?>
