<?php

// CLI program to test ubroker (yes you can run php from command line): 
//    /usr/local/bin/php tstubroker.php

include_once("ubroker.php");

$Manager = new MngUBrokerProperties;

$Manager->Load("ubroker.properties");

$Manager->Save("Junk");
$Manager->Backup("Junk");

//$Manager->DelDefinition("sblfe");

$T['port'] = '9875';
$T['minport'] = '9876';
$T['maxport'] = '9877';
$T['name'] = 'test';

$Manager->SetDefinition("scott", $T);

$ADefinition = $Manager->GetDefinition("lt2kdev");

foreach ($ADefinition as $k => $v) {
  if (strcmp($v, "") == 0) echo $k . "\n";
  else echo $k . "=" . $v . "\n" ;
}

$List = $Manager->ListDefinitions();



foreach($List as $k => $v)
  echo "Definition $v\n";

$Manager->Save("Junk1");

?>
